% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/net_inference.R
\name{adjacencyMatrix}
\alias{adjacencyMatrix}
\title{Adjacency matrix}
\usage{
adjacencyMatrix(
  method,
  association = "none",
  threshold = "none",
  thr.value = 0.05,
  weighted = TRUE,
  abs.values = TRUE
)
}
\arguments{
\item{method}{a function that measures the association between the variables values.}

\item{association}{a charactere string indicating wich value will be used as association value. The options are "corr" for the correlation value, "pvalue" for nominal pvalue associated to correlation or "fdr" for corrected pvalue for mutiple tests.}

\item{threshold}{a charactere string indicating wich value will be used as threshold value. The options are "corr" for the correlation value, "pvalue" for nominal pvalue associated to correlation or "fdr" for corrected pvalue for mutiple tests. If NULL, no edge is removed.}

\item{thr.value}{a numeric value. The function removes all edges weighted by a value less
than or equal to 'thr.value'.}

\item{weighted}{a logical value. If TRUE, then the edges of the graph are weighted by the
association degrees between the variables. Otherwise, the edges are are weighted by one.}

\item{abs.values}{a logical value. If TRUE, then the negatives edges of the graph are changed by its absolutes values. Otherwise, the negative edges are kept with negative weights.}
}
\value{
a function that creates an adjacency matrix from variable values data.
}
\description{
creates a function that infers a graph from variables values matrix
}
\examples{
set.seed(3)
expr <- as.data.frame(matrix(rnorm(120),40,30))
labels<-rep(0:3,10)
functionAdjacencyMatrix <- adjacencyMatrix(method="spearman", association="pvalue",
 threshold="fdr", thr.value=0.05, weighted=FALSE)
}
